DRM_ATOMIC_CRTC_FOR_(9)

NAME
drm_atomic_crtc_for_each_plane - iterate over planes currently attached to CRTC

SYNOPSIS

drm_atomic_crtc_for_each_plane(plane, crtc);

ARGUMENTS

plane
    the loop cursor

crtc
    the crtc whose planes are iterated

DESCRIPTION

This iterates over the current state, useful (for example) when applying atomic state after it has been checked and swapped. To iterate over the planes which *will* be attached (for ->atomic_check) see drm_crtc_for_each_pending_plane

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT